
using System.Text.Json.Serialization;

namespace Hotline.Ai.Jths.OrderVisits
{
    public class AiVisitServiceQueryResponse
    {
        [JsonPropertyName("code")]
        public int Code { get; set; }

        [JsonPropertyName("msg")]
        public string Msg { get; set; }

        [JsonPropertyName("result")]
        public PageTaskStatus Result { get; set; }
    }

    public class PageTaskStatus
    {
        [JsonPropertyName("pageNo")]
        public int PageNo { get; set; }

        [JsonPropertyName("pageSize")]
        public int PageSize { get; set; }

        [JsonPropertyName("total")]
        public int Total { get; set; }

        [JsonPropertyName("pages")]
        public int Pages { get; set; }

        [JsonPropertyName("result")]
        public List<TaskStatus> Result { get; set; }
    }

    public class TaskStatus
    {
        [JsonPropertyName("uid")]
        public string Uid { get; set; }

        /// <summary>
        /// 任务状态 实时(1 :待执行、2 :暂停中、3 :执行中、4 :失效、5 :呼叫失败、6：已结束（完成或取消）)
        /// </summary>
        [JsonPropertyName("status")]
        public int Status { get; set; }
    }







    public class AiVisitServiceQueryResultResponse
    {
        public int code { get; set; }

        public string msg { get; set; }
    }
}
